balance_dirty_pages_ratelimited_nr
Prev | More Memory Management Functions | Next

## Name

balance_dirty_pages_ratelimited_nr — balance dirty memory state

## Synopsis

`void balance_dirty_pages_ratelimited_nr (` | struct address_space * | mapping,
| unsigned long | nr_pages_dirtied`)`;

## Arguments

`mapping`

  address_space which was dirtied

`nr_pages_dirtied`

  number of pages which the caller has just dirtied

## Description

Processes which are dirtying memory should call in here once for each page which was newly dirtied. The function will periodically check the system's dirty state and will initiate writeback if needed.

On really big machines, get_writeback_state is expensive, so try to avoid calling it too often (ratelimiting). But once we're over the dirty memory limit we decrease the ratelimiting by a lot, to prevent individual processes from overshooting the limit by (ratelimit_pages) each.

Prev | Up | Next
dmam_pool_destroy | Home | write_cache_pages